Bug 844155 - (mate-keyring) Review Request: mate-keyring - Framework for managing passwords and other secrets
Review Request: mate-keyring - Framework for managing passwords and other sec...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On: 844154
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-07-29 08:54 EDT by Wolfgang Ulbrich
Modified: 2012-10-23 15:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 08:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Comment (77.50 KB, text/plain)
2012-08-06 13:37 EDT, leigh scott
no flags Details

  None (edit)
Description Wolfgang Ulbrich 2012-07-29 08:54:18 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SPECS/mate-keyring.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SRPM/mate-keyring-1.4.0-5.fc17.src.rpm
Description: The mate-keyring session daemon manages passwords and other types of
secrets for the user, storing them encrypted with a main password.
Applications can use the mate-keyring library to integrate with the keyring.
Fedora Account System Username: raveit65
Comment 2 Wolfgang Ulbrich 2012-08-05 12:55:28 EDT
new starting point

koji scratch build for f18

http://koji.fedoraproject.org/koji/taskinfo?taskID=4360721

* Sun Aug 05 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- fix mixed use of $RPM_BUILD_ROOT & %%{buildroot}
- rename patch to mate
- fix requires in -devel
- fix scriplet sections

* Sat Aug 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- edit start-gnome-keyring-in-mate sources

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-keyring.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-keyring-1.4.0-7.fc18.src.rpm
Comment 3 leigh scott 2012-08-05 13:43:35 EDT
Ok, I'm not happy with the auto provides on the mate-keyring package


Provides
--------
mate-keyring-pam-1.4.0-7.fc18.x86_64.rpm:
    
    mate-keyring-pam = 1.4.0-7.fc18
    mate-keyring-pam(x86-64) = 1.4.0-7.fc18
    pam_mate_keyring.so()(64bit)  

mate-keyring-1.4.0-7.fc18.x86_64.rpm:
    
    config(mate-keyring) = 1.4.0-7.fc18
    gkm-mate2-store-standalone.so()(64bit)  
    gkm-roots-store-standalone.so()(64bit)  
    gkm-secret-store-standalone.so()(64bit)  
    gkm-ssh-store-standalone.so()(64bit)  
    gkm-xdg-store-standalone.so()(64bit)  
    libmategck.so.0()(64bit)  
    libmategcr.so.0()(64bit)  
    mate-keyring = 1.4.0-7.fc18
    mate-keyring(x86-64) = 1.4.0-7.fc18
    mate-keyring-pkcs11.so()(64bit)  




All these below are provide by gnome-keyring


    gkm-roots-store-standalone.so()(64bit)  
    gkm-secret-store-standalone.so()(64bit)  
    gkm-ssh-store-standalone.so()(64bit)  
    gkm-xdg-store-standalone.so()(64bit


gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and other
                                  : secrets
Repo        : fedora
Matched from:
Filename    : /usr/lib64/gnome-keyring/devel/gkm-xdg-store-standalone.so

gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and other
                                  : secrets
Repo        : @koji-override-0/$releasever
Matched from:
Filename    : /usr/lib64/gnome-keyring/devel/gkm-ssh-store-standalone.so

gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and other
                                  : secrets
Repo        : @koji-override-0/$releasever
Matched from:
Filename    : /usr/lib64/gnome-keyring/devel/gkm-secret-store-standalone.so

gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and other
                                  : secrets
Repo        : @koji-override-0/$releasever
Matched from:
Filename    : /usr/lib64/gnome-keyring/devel/gkm-roots-store-standalone.so


It is possible to filter them, could you try and get Rex or some else with the experience to confirm the need to do this.
Comment 4 leigh scott 2012-08-05 13:45:30 EDT
(In reply to comment #3)
> Ok, I'm not happy with the auto provides on the mate-keyring package
> 
> 
> Provides
> --------
> mate-keyring-pam-1.4.0-7.fc18.x86_64.rpm:
>     
>     mate-keyring-pam = 1.4.0-7.fc18
>     mate-keyring-pam(x86-64) = 1.4.0-7.fc18
>     pam_mate_keyring.so()(64bit)  
> 
> mate-keyring-1.4.0-7.fc18.x86_64.rpm:
>     
>     config(mate-keyring) = 1.4.0-7.fc18
>     gkm-mate2-store-standalone.so()(64bit)  
>     gkm-roots-store-standalone.so()(64bit)  
>     gkm-secret-store-standalone.so()(64bit)  
>     gkm-ssh-store-standalone.so()(64bit)  
>     gkm-xdg-store-standalone.so()(64bit)  
>     libmategck.so.0()(64bit)  
>     libmategcr.so.0()(64bit)  
>     mate-keyring = 1.4.0-7.fc18
>     mate-keyring(x86-64) = 1.4.0-7.fc18
>     mate-keyring-pkcs11.so()(64bit)  
> 
> 
> 
> 
> All these below are provide by gnome-keyring
> 
> 
>     gkm-roots-store-standalone.so()(64bit)  
>     gkm-secret-store-standalone.so()(64bit)  
>     gkm-ssh-store-standalone.so()(64bit)  
>     gkm-xdg-store-standalone.so()(64bit
> 
> 
> gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and
> other
>                                   : secrets
> Repo        : fedora
> Matched from:
> Filename    : /usr/lib64/gnome-keyring/devel/gkm-xdg-store-standalone.so
> 
> gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and
> other
>                                   : secrets
> Repo        : @koji-override-0/$releasever
> Matched from:
> Filename    : /usr/lib64/gnome-keyring/devel/gkm-ssh-store-standalone.so
> 
> gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and
> other
>                                   : secrets
> Repo        : @koji-override-0/$releasever
> Matched from:
> Filename    : /usr/lib64/gnome-keyring/devel/gkm-secret-store-standalone.so
> 
> gnome-keyring-3.4.1-2.fc17.x86_64 : Framework for managing passwords and
> other
>                                   : secrets
> Repo        : @koji-override-0/$releasever
> Matched from:
> Filename    : /usr/lib64/gnome-keyring/devel/gkm-roots-store-standalone.so
> 
> 
> It is possible to filter them, could you try and get Rex or some else with
> the experience to confirm the need to do this.

I could be wrong but it's better to be sure.
Comment 5 Wolfgang Ulbrich 2012-08-05 14:26:22 EDT
Thx for your hints.
I will ask Rex Dieter for knowledge.

In general it is a problem that mate-keyring wasn't complete renamed.
I'm shure i can write a patch for renaming 'gkm' in mate-keyring,
but there are other packages which expect the therm 'gkm' in there code.

Shure, i can remove

gkm-roots-store-standalone.so()(64bit)  
gkm-secret-store-standalone.so()(64bit)  
gkm-ssh-store-standalone.so()(64bit)  
gkm-xdg-store-standalone.so()(64bit      ,

but won't this step break make-keyring from working?
Unfortunately I can't estimate the consequences.
Not all packages which need a keyring framework are installed on my desktop.
And i don't know all.
I will notice Steve Zech (mate dev) about this, and build a test rpm for me.
Comment 6 leigh scott 2012-08-05 15:02:48 EDT
(In reply to comment #5)
> Thx for your hints.
> I will ask Rex Dieter for knowledge.
> 

Thanks, I would welcome feedback as I haven't dealt with this type of issue before. 


> but there are other packages which expect the therm 'gkm' in there code.
> 
> Shure, i can remove

I didn't ask you to remove them only hide them from yum if needed.

> 
> gkm-roots-store-standalone.so()(64bit)  
> gkm-secret-store-standalone.so()(64bit)  
> gkm-ssh-store-standalone.so()(64bit)  
> gkm-xdg-store-standalone.so()(64bit      ,
> 
> but won't this step break make-keyring from working?
> Unfortunately I can't estimate the consequences.



> Not all packages which need a keyring framework are installed on my desktop.
> And i don't know all.

Here's a list

$ repoquery --whatrequires gnome-keyring
NetworkManager-gnome-1:0.9.4.0-7.git20120403.fc17.x86_64
NetworkManager-gnome-1:0.9.4.0-9.git20120521.fc17.x86_64
NetworkManager-openswan-0:0.9.3.995-1.git20120302.fc17.x86_64
NetworkManager-openvpn-1:0.9.3.997-1.fc17.x86_64
NetworkManager-pptp-1:0.9.3.997-1.fc17.x86_64
NetworkManager-vpnc-1:0.9.3.997-1.fc17.x86_64
gnome-keyring-pam-0:3.4.1-2.fc17.i686
gnome-keyring-pam-0:3.4.1-2.fc17.x86_64
gnome-python2-gnomekeyring-0:2.32.0-9.fc17.x86_64
mysql-workbench-0:5.2.38-2.fc17.x86_64
mysql-workbench-0:5.2.40-1.fc17.x86_64
virt-manager-0:0.9.1-3.fc17.noarch
virt-manager-0:0.9.1-4.fc17.noarch
Comment 7 Mario Blättermann 2012-08-05 15:07:25 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > but there are other packages which expect the therm 'gkm' in there code.
> > 
> > Shure, i can remove
> 
> I didn't ask you to remove them only hide them from yum if needed.

But in fact, we speak about duplicates of already present system files, don't we? I think it's a task for upstream to make them distinguishable from the gnome-keyring ones.
Comment 8 Rex Dieter 2012-08-05 17:43:46 EDT
Re: comment #3

Those duplicated Provides aren't anything to consider a review-blocker, and shouldn't cause any practical problems.

However, it is possible to filter them out if you really want to (preferably implemented post-review, imo)
Comment 9 Steve Zesch 2012-08-05 19:48:49 EDT
I have both gnome-keyring and mate-keyring installed without conflicts. There shouldn't be any problems.
Comment 10 leigh scott 2012-08-06 13:37:17 EDT
Created attachment 915480 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 11 Wolfgang Ulbrich 2012-08-06 17:02:48 EDT
Thank you Leigh for approving the package.

rpmlint error is fixed in version 1.4.0.8

%changelog
* Sun Aug 05 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- fix rpmlint error unused-direct-shlib-dependency

* Sun Aug 05 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- fix mixed use of $RPM_BUILD_ROOT & %%{buildroot}
- rename patch to mate
- fix requires in -devel
- fix scriplet sections

* Sat Aug 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- edit start-gnome-keyring-in-mate sources

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-file-manager.spec based on gnome-keyring-2.32.0-1.fc14 spec

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-keyring.spec
Comment 12 Wolfgang Ulbrich 2012-08-06 17:09:05 EDT
New Package SCM Request
=======================
Package Name: mate-keyring
Short Description: Framework for managing passwords and other secrets
Owners: raveit65 rdieter
Branches: f16 f17
InitialCC:
Comment 13 Rex Dieter 2012-08-06 17:31:46 EDT
Make that,

New Package SCM Request
=======================
Package Name: mate-keyring
Short Description: Framework for managing passwords and other secrets
Owners: raveit65 rdieter vicodin
Branches: f16 f17
InitialCC:
Comment 14 Wolfgang Ulbrich 2012-08-06 17:50:06 EDT
I'm not agree with comment 13
Comment 15 Jon Ciesla 2012-08-06 19:11:49 EDT
Git done (by process-git-requests).

Implemented #12.
Comment 16 Fedora Update System 2012-08-09 10:59:35 EDT
mate-keyring-1.4.0-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-keyring-1.4.0-8.fc17
Comment 17 Fedora Update System 2012-08-09 12:15:40 EDT
mate-keyring-1.4.0-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-keyring-1.4.0-8.fc16
Comment 18 Fedora Update System 2012-08-10 18:29:38 EDT
mate-keyring-1.4.0-8.fc16 has been pushed to the Fedora 16 testing repository.
Comment 19 Wolfgang Ulbrich 2012-08-21 08:18:25 EDT
I don't work for the Mate-Desktop project anymore, because i see no basic for working together with Dan Mashal.
Comment 20 Fedora Update System 2012-09-01 04:38:47 EDT
mate-keyring-1.4.0-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-keyring-1.4.0-8.fc17
Comment 21 Fedora Update System 2012-09-01 20:26:18 EDT
mate-keyring-1.4.0-8.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.